Bug 1537609 - Incomprehensible help text
Summary: Incomprehensible help text
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: waiverdb
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: matt jia
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-23 15:39 UTC by Mattias Ellert
Modified: 2018-11-30 23:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:43:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2018-01-23 15:39:16 UTC
Description of problem:

The help text is not sufficient to understand how the tool works, at least for me. The text reads:

$ waiverdb-cli -h
Usage: waiverdb-cli [OPTIONS]

  Creates new waivers against test results.

  Examples:

      waiverdb-cli -r 123 -r 456 -p "fedora-26" -c "It's dead!"

Options:
  -C, --config-file PATH      Specify a config file to use
  -r, --result-id INTEGER     Specify one or more results to be waived
  -p, --product-version TEXT  Specify one of PDC's product version
                              identifiers.
  --waived / --no-waived      Whether or not the result is waived
  -c, --comment TEXT          A comment explaining why the result is waived
  -h, --help                  Show this message and exit.

If I look at an update in bodhi, how do I match the information provided about a failed test to what parameters to use for this command?

From the example in the help text, the -p "fedora-26" part kind of gives a hint that if the failing test was for an update for Fedora 26, I should use -p "fedora-26", and similar for other Fedora releases. This gives only the -r option to identify for which test you want to register a waiver. But the bodhi page only shows a list of results, there is no "result id" mentioned there.

The help text is not helpful. Can you provide some more information about how to use the tool? How do I find out from the information in bodhi what parameters to use?

Version-Release number of selected component (if applicable):

waiverdb-cli-0.4.0-1.fc27.noarch

How reproducible:

Always

Steps to Reproduce:
1. run "waiverdb-cli -h"
2. Be confused

Comment 1 Ralph Bean 2018-01-23 18:36:48 UTC
Agreed, it's not obvious.

I added some instructions over here:  https://fedoraproject.org/wiki/Package_update_HOWTO#Handling_feedback_from_automated_tests

I'm hoping we can get this merged soon, which will be a much nicer experience:  https://github.com/fedora-infra/bodhi/pull/2095

Comment 2 Ben Cotton 2018-11-27 13:35:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 23:43:29 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.